{% extends 'base.html' %}

{% block title %}
DRONE | {{ drone.title }}
{% endblock title%}

{% block main %}
{% load static %}
<div class="main">
    <div class="aside">
        {% for image in drone.images %}
        <img class="all-images" src="media/{{ image.url }}" alt="{{ image.url }}">
        {% endfor %}
    </div>
    <div class="center">
        <img id="main-image" src="media/{{ drone.images.0.url }}" alt="{{ drone.images.0.url }}">
    </div>
    <div class="aside-right">
        <p class="about-article">À propos de cet article:</p>
        <p class="description">{{ drone.description }}</p>
        <div class="price">{{ drone.price }} €</div>

        <div class="stars-holder" data-stars-holder-value="{{ drone.rating }}" style="display: flex; justify-content: start; gap: 1rem; text-align: center;"
            title=" {{ drone.rating }} / 5 étoiles sur Amazon">
        </div>
        <div
            style="display: flex; flex-direction: row; justify-content: center; align-items: center; align-content: center; gap: 1.2rem;">
            <a href="#" class="cos-btn-primary" title="Ajouter cette article à votre liste de favoris">Favoiris</a>
            <a href="#" class="cos-btn-secondary" title="Ajouter cette article à votre panais">Panais</a>
        </div>
        <a href="#technical-sheet" class="technical-sheet cos-btn-3th"
            title="Voir toutes les informations sur cette article">
            Voir plus des détails
        </a>
    </div>
    <div id="myresult" class="img-zoom-result"></div>
</div>

<div class="action" style="display: flex; flex-direction: row; gap: 0.5rem; justify-content: center; align-items: center; height: fit-content; width: 100%;">
    <a href="#" class="admin-action-btn">Modifier cette article</a>
    <a href="#" class="admin-action-btn">Supprimer cette article</a>
</div>

<section class="technical-sheet" id="technical-sheet">
    <div>
        <p style="font-size: 3rem;">Spécification : </p>
        <table id="customers">
            <tr>
                <td>Nom de l'article</td>
                <td>{{ drone.title }}</td>
            </tr>
            <tr>
                <td>Description de l'article</td>
                <td>{{ drone.description }}</td>
            </tr>
            <tr>
                <td>Notation sur 5 étoiles</td>
                <td>{{ drone.rating }}</td>
            </tr>
            <tr>
                <td>Prix de l'article (en €)</td>
                <td>{{ drone.price }} €</td>
            </tr>
            <tr>
                <td>Poids</td>
                <td>{{ drone.weight }} g</td>
            </tr>
            <tr>
                <td>La duration de la batterie</td>
                <td>{{ drone.bat_cap_h }} heure(s)</td>
            </tr>
            <tr>
                <td>La capacité de la batterie</td>
                <td>{{ drone.bat_cap_w }} watts</td>
            </tr>
            <tr>
                <td>Le temps de vol</td>
                <td>{{ drone.flight_time }} m</td>
            </tr>
            <tr>
                <td>La portée de vol</td>
                <td>{{ drone.flight_range }} km</td>
            </tr>
            <tr>
                <td>Les dimensions (largeur x hauteur x profondeur)</td>
                <td>{{ drone.dimensions_width }} * {{ drone.dimensions_height }} * {{ drone.dimensions_deepth }} mm</td>
            </tr>
            <tr>
                <td>Resolution de vidéos / images</td>
                <td>{{ drone.resolution.name }}</td>
            </tr>
            <tr>
                <td>Fabriquant</td>
                <td>{{ drone.company.name }}</td>
            </tr>

        </table>
    </div>

</section>

<div id="image-modal" class="modal">
    <span class="close">&times;</span>
    <img id="modal-image" ondblclick="closeImageOnDoubleClicks()" src="">
</div>

<script src="{% static 'assets/js/script.js' %}"></script>
<script>
    changeImageFocus();
    setImageModale();
    closeImageOnDoubleClicks()
    createStar()


</script>

{% endblock main%}